package com.fs.watch.domain;

import java.io.Serializable;
import java.util.UUID;

/**
 * sos报警日志(WatchSosCallLogs)实体类
 *
 * @author makejava
 * @since 2024-12-24 14:30:26
 */
public class WatchSosCallLogs implements Serializable {
    private static final long serialVersionUID = 656916219606367008L;
/**
     * 主键id
     */
    private UUID id;
/**
     * 设备编号
     */
    private String deviceId;
/**
     * 报警时间
     */
    private String alarmTime;
/**
     * sos时的定位 纬度
     */
    private String lat;
/**
     * sos时的定位 经度
     */
    private String lon;
/**
     * 通话日志json
     */
    private String callLogs;


    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(String alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }

    public String getCallLogs() {
        return callLogs;
    }

    public void setCallLogs(String callLogs) {
        this.callLogs = callLogs;
    }

}

